commit: 0b20ddc6481210b40e5d94807012be9c86e6345d
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Fri May 12 12:17:16 2017 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Fri May 12 12:17:16 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0b20ddc6
dev-python/cytoolz: Add python3_6
Package-Manager: Portage-2.3.5, Repoman-2.3.2
dev-python/cytoolz/cytoolz-0.8.0.ebuild | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
diff --git a/dev-python/cytoolz/cytoolz-0.8.0.ebuild
b/dev-python/cytoolz/cytoolz-0.8.0.ebuild
index ae99c2234fd..5290b6ba45b 100644
--- a/dev-python/cytoolz/cytoolz-0.8.0.ebuild
+++ b/dev-python/cytoolz/cytoolz-0.8.0.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
inherit distutils-r1
@@ -31,7 +31,7 @@ python_compile() {
}
python_test() {
- pushd "${BUILD_DIR}"/lib/ > /dev/null
+ pushd "${BUILD_DIR}"/lib/ > /dev/null || die
PYTHONPATH=.:${PN} nosetests --with-doctest ${PN} || die "tests failed
under ${EPYTHON}"
- popd > /dev/null
+ popd > /dev/null || die
}